[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

SplitBase< Tag > Class Template Reference

`#include <vigra/random_forest/rf_split.hxx>`

Inheritance diagram for SplitBase< Tag >:

## Public Member Functions

template<class T , class C , class T2 , class C2 , class Region , class Random >
int | findBestSplit (MultiArrayView< 2, T, C >, MultiArrayView< 2, T2, C2 >, Region, ArrayVector< Region >, Random)
template<class T , class C , class T2 , class C2 , class Region , class Random >
int | makeTerminalNode (MultiArrayView< 2, T, C >, MultiArrayView< 2, T2, C2 >, Region &region, Random)
void | reset ()
template<class T >
void | set_external_parameters (ProblemSpec< T > const &in)

## Detailed Description

template<class Tag>
class vigra::SplitBase< Tag >

Base Class for all SplitFunctors used with the RandomForest class defines the interface used while learning a tree.

## Member Function Documentation

## ◆ set_external_parameters()

template<class Tag >
template<class T >

void set_external_parameters | ( | ProblemSpec< T > const & | in | ) |

returns the DecisionTree Node created by SplitBase::findBestSplit() or SplitBase::makeTerminalNode().

## ◆ reset()

template<class Tag >

void reset | ( |  | ) |

resets internal data. Should always be called before calling findBestSplit or makeTerminalNode

## ◆ findBestSplit()

template<class Tag >
template<class T , class C , class T2 , class C2 , class Region , class Random >

int findBestSplit | ( | MultiArrayView< 2, T, C > | ,
|  | MultiArrayView< 2, T2, C2 > | ,
|  | Region | ,
|  | ArrayVector< Region > | ,
|  | Random |
| ) |  |

findBestSplit has to be re-implemented in derived split functor. The defaut implementation only insures that a CompileTime error is issued if no such method was defined.

## ◆ makeTerminalNode()

template<class Tag >
template<class T , class C , class T2 , class C2 , class Region , class Random >

int makeTerminalNode | ( | MultiArrayView< 2, T, C > | ,
|  | MultiArrayView< 2, T2, C2 > | ,
|  | Region & | region,
|  | Random |
| ) |  |

Default action for creating a terminal Node. sets the Class probability of the remaining region according to the class histogram

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2